# Uses of Enum Class
com.sun.management.HotSpotDiagnosticMXBean.ThreadDumpFormat

Packages that use HotSpotDiagnosticMXBean.ThreadDumpFormat
Package
Description
com.sun.management
This package contains JDK extensions to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.

## Uses of HotSpotDiagnosticMXBean.ThreadDumpFormat in com.sun.management

Subclasses with type arguments of type HotSpotDiagnosticMXBean.ThreadDumpFormat in com.sun.management
Modifier and Type
Class
Description
`static enum`
`HotSpotDiagnosticMXBean.ThreadDumpFormat`
Thread dump format.
Methods in com.sun.management that return HotSpotDiagnosticMXBean.ThreadDumpFormat
Modifier and Type
Method
Description
`static HotSpotDiagnosticMXBean.ThreadDumpFormat`
HotSpotDiagnosticMXBean.ThreadDumpFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HotSpotDiagnosticMXBean.ThreadDumpFormat[]`
HotSpotDiagnosticMXBean.ThreadDumpFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.sun.management with parameters of type HotSpotDiagnosticMXBean.ThreadDumpFormat
Modifier and Type
Method
Description
`default void`
HotSpotDiagnosticMXBean.`dumpThreads(String outputFile, HotSpotDiagnosticMXBean.ThreadDumpFormat format)`
Generate a thread dump to the given file in the given format.